DKBSignDocs

API reference

POSTRequires Bearer token

Import contacts from Outlook

/api/contacts/imports/outlook

Microsoft 365 / Outlook. The access token is used in memory and never stored. Returns 202 with job_id.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
access_token
Required
stringMicrosoft OAuth access token.
e.g. "EwBIA8l6BAAUexample"
visibility
stringprivate or org for imported rows.
e.g. "private"

Responses

StatusMeaning
202Import queued
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/contacts/imports/outlook' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"access_token":"EwBIA8l6BAAUexample","visibility":"private"}'

Response 202

json
{
  "job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}